package hideandseek.commands.user;

import java.util.Iterator;
import hideandseek.utils.Utils;
import java.util.Collection;
import hideandseek.Arena;
import java.util.ArrayList;
import hideandseek.PlayerData;
import org.bukkit.entity.Player;
import hideandseek.Config;
import org.bukkit.command.CommandSender;
import hideandseek.Customization;
import hideandseek.HideAndSeek;
import hideandseek.commands.SubCommand;

public class AutoJoinCommand extends SubCommand
{
    public AutoJoinCommand() {
        super("hideandseek.autojoin", false, "<Arena>");
    }
    
    public boolean execute(final HideAndSeek var1, final Customization var2, final CommandSender var3, final String[] var4) {
        if (Config.getInstance().bungeeEnabled) {
            var3.sendMessage((String)var2.messages.get("unknown_command"));
            return true;
        }
        final Player var5 = (Player)var3;
        if (var1.playerData.get(var5.getName()).arena != null) {
            var5.sendMessage((String)var2.messages.get("already_in_game"));
            return true;
        }
        final ArrayList<Arena> var6 = new ArrayList<Arena>();
        for (final Arena var8 : Arena.arenaObjects) {
            if (var8.arenaBuilt && (var8.state.equals((Object)Arena.ArenaState.WAITING) || var8.state.equals((Object)Arena.ArenaState.STARTING)) && (var8.players.size() != var8.maxPlayers || var5.hasPermission("hideandseek.joinfull"))) {
                var6.add(var8);
            }
        }
        if (var6.isEmpty()) {
            var5.sendMessage((String)var1.customization.messages.get("no_arenas"));
            return true;
        }
        int var9 = 0;
        for (final Arena var11 : var6) {
            if (var11.players.size() > var9) {
                var9 = var11.players.size();
            }
        }
        for (final Arena var11 : new ArrayList<Arena>(var6)) {
            if (var11.players.size() < var9) {
                var6.remove(var11);
            }
        }
        Arena var8 = var6.get(Utils.random.nextInt(var6.size()));
        var5.performCommand("has join " + var8.name);
        return true;
    }
}
